#!/bin/sh
JAVA=java
BASEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
VMOPTIONS="-Xmx256m -Duser.dir=\"$BASEDIR\" -Djava.library.path=\"$BASEDIR/jars\""
OPTIONS=""
JAR="\"$BASEDIR/jars/OBP-1.4.9.jar\""
export LD_LIBRARY_PATH="\"$BASEDIR/jars\""

# Generates desktop file if it doesn't exit
DESKTOP_FILE=OBP.desktop
if [ ! -f $DESKTOP_FILE ]; then
	echo "Generating $DESKTOP_FILE."
	echo "[Desktop Entry]" > $DESKTOP_FILE
	echo "Encoding=UTF-8" >> $DESKTOP_FILE
	echo "Name=OBP" >> $DESKTOP_FILE
	echo "Type=Application" >> $DESKTOP_FILE
	echo "Comment=" >> $DESKTOP_FILE
	echo "Exec=$BASEDIR/OBP.sh" >> $DESKTOP_FILE
	echo "Path=$BASEDIR" >> $DESKTOP_FILE
	echo "Icon=$BASEDIR/OBP.png" >> $DESKTOP_FILE
	echo "Categories=Application;" >> $DESKTOP_FILE
	chmod +x $DESKTOP_FILE
fi

# Runs OBP
COMMAND=$(echo $JAVA $VMOPTIONS -jar $JAR $OPTIONS)
eval $COMMAND

